### Method

# Foundry FlatpakSerializable resolve_file

#### Declaration [src]

    GFile*
    foundry_flatpak_serializable_resolve_file (
      FoundryFlatpakSerializable* self,
      const char* path,
      GError** error
    )

#### Description

No description available.

#### Parameters

`path`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GFile`

A `GFile` or `NULL` and `error` is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.